#include <bits/stdc++.h>
#define ll long long
#define sz(x) (int) x.size()
#define pb push_back
using namespace std;

int main() {
	ios_base::sync_with_stdio(0);
	cin.tie(0);
	int n, k;
	cin >> n >> k;
	map<int, int> mp;
	for(int i = 1; i <= k; i++) {
		int x;
		cin >> x;
		mp[x]++;
	}
	vector<int> ans;
	for(auto it : mp) {
		if(it.second >= n) {
			ans.pb(it.first);
		}
	}
	cout << sz(ans) << '\n';
	for(int x : ans) cout << x << ' ';
}
